problem with Ubuntu 20.04 focal packages: why do handbrake and handbrake-cli conflict with each other?

Support for HandBrake on Linux, Solaris, and other Unix-like platforms
Forum rules
An Activity Log is required for support requests. Please read How-to get an activity log? for details on how and why this should be provided.
Post Reply
dburr
Posts: 3
Joined: Wed Feb 13, 2008 5:13 pm

problem with Ubuntu 20.04 focal packages: why do handbrake and handbrake-cli conflict with each other?

Post by dburr »

Description of problem or question:

I just saw that new packages for ubuntu 20.04 are now available in the handbrake PPA. however I am having trouble installing them. It appears that "handbrake" and "handbrake-cli" are now mutually exclusive - i.e. if you have handbrake installed and try to install handbrake-cli, it will REMOVE handbrake first, and vice versa.

I have always had both handbrake and handbrake-cli installed on all of my machines. There are times when I want to do things in a gui, and other times when I just want to automate/batch encode things with a bash script. I don't see why handbrake and handbrake-cli should conflict with each other, afaik they are completely separate executables, and I've never had trouble with having both packages installed on the same machine before.

Steps to reproduce the problem (If Applicable):

Code: Select all

$ sudo add-apt-repository ppa:stebbins/handbrake-releases
...blahblahblah normal apt output...
$ sudo apt update
...blahblahblah normal apt output...
$ sudo apt install handbrake
...blahblahblah normal apt output, handbrake package successfully installs...
$ sudo apt install handbrake-cli
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  handbrake
The following NEW packages will be installed:
  handbrake-cli
0 upgraded, 1 newly installed, 1 to remove and 0 not upgraded.
Need to get 8,625 kB of archives.
After this operation, 25.0 MB of additional disk space will be used.
Do you want to continue? [Y/n] ^C
HandBrake version (e.g., 1.0.0):

1.3.1

Operating system and version (e.g., Ubuntu 16.04 LTS, macOS 10.13 High Sierra, Windows 10 Creators Update):

Ubuntu 20.04 (Focal)

HandBrake Activity Log ***required*** (see How-to get an activity log)

Code: Select all

not applicable
Additional information

I would try and contact the PPA maintainer (John Stebbins) however there is no contact information listed for him on Ubuntu Launchpad.

User avatar
BradleyS
Moderator
Posts: 1843
Joined: Thu Aug 09, 2007 12:16 pm

Re: problem with Ubuntu 20.04 focal packages: why do handbrake and handbrake-cli conflict with each other?

Post by BradleyS »

The PPA package for the GUI is handbrake-gtk. I suspect you're accidentally mixing Ubuntu repo and PPA packages.

Post Reply